> ## Documentation Index
> Fetch the complete documentation index at: https://docs.e-invoice.be/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Webhooks

> Get all webhooks for the current tenant



## OpenAPI

````yaml /openapi.json get /api/webhooks/
openapi: 3.1.0
info:
  title: e-invoice.be Peppol Access Point API
  version: 1.1.0
  x-logo:
    url: https://e-invoice.be/einvoice.svg
servers:
  - url: https://api.e-invoice.be
    description: Production
security: []
paths:
  /api/webhooks/:
    get:
      tags:
        - Webhooks
      summary: Get All Webhooks
      description: Get all webhooks for the current tenant
      operationId: get_webhooks_api_webhooks__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WebhookResponse'
                type: array
                title: Response Get Webhooks Api Webhooks  Get
        '401':
          description: 'Unauthorized: API key is missing, invalid, or inactive'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    WebhookResponse:
      properties:
        events:
          items:
            type: string
          type: array
          title: Events
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
        enabled:
          type: boolean
          title: Enabled
          default: true
        id:
          type: string
          title: Id
        secret:
          type: string
          title: Secret
      type: object
      required:
        - events
        - url
        - id
        - secret
      title: WebhookResponse
      description: Response model for webhook API endpoints.
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error response model.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````